image: ruby:2.7

cache:
  paths:
  - vendor/

before_script:
  - bundle config set path 'vendor'
  - bundle install

pages:
  stage: deploy
  script:
  - bundle exec jekyll build -d public -b /culturecomputationelle.ch
  artifacts:
    paths:
    - public
  only:
  - master

test:
  stage: test
  script:
  - bundle exec jekyll build -d test
  artifacts:
    paths:
    - test
  except:
  - master
